Drawdown request
API reference
Request a payment from an external bank, to be sent by wire.
Endpoint: /wires/v1/payments/corporate-drawdown-requests
POST
https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests
Body Parameters
- accountNumberstringrequiredDescription
- originatorobjectDescription
- idCodestringrequiredDescription
- identifierstringrequiredDescription
- namestringrequiredDescription
- postalAddressobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- receiverRoutingNumberstringrequiredDescription
- drawdownCreditAccountNumberstringrequiredDescription
- drawdownDebitAccountobjectrequiredDescription
- idCodestringDescription
- identifierstringrequiredDescription
- namestringrequiredDescription
- postalAddressobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- beneficiaryobjectrequiredDescription
- idCodestringrequiredDescription
- identifierstringrequiredDescription
- namestringrequiredDescription
- postalAddressobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- beneficiaryReferencestringDescription
- originatorToBeneficiary1stringDescription
- originatorToBeneficiary2stringDescription
- originatorToBeneficiary3stringDescription
- originatorToBeneficiary4stringDescription
- debitDrawdownAdviceCodestringDescription
- debitDrawdownInformation1stringDescription
- debitDrawdownInformation2stringDescription
- debitDrawdownInformation3stringDescription
- debitDrawdownInformation4stringDescription
- debitDrawdownInformation5stringDescription
- receiverFiInformation1stringDescription
- receiverFiInformation2stringDescription
- receiverFiInformation3stringDescription
- receiverFiInformation4stringDescription
- receiverFiInformation5stringDescription
- fiToFiInformation1stringDescription
- fiToFiInformation2stringDescription
- fiToFiInformation3stringDescription
- fiToFiInformation4stringDescription
- fiToFiInformation5stringDescription
- fiToFiInformation6stringDescription
- amountintegerrequiredDescription
- purposestringrequiredDescription
- clientIdentifierstringDescription
Response
- idstringDescription
- accountNumberstringDescription
- coreTransactionIdstringDescription
- referenceIdstringDescription
- fedBatchIdstringDescription
- fedBatchSequenceintegerDescription
- directionstringDescription
- paymentTypestringDescription
- sourcestringDescription
- statusstringDescription
- postingstringDescription
- rejectionReasonstringDescription
- blockedReasonstringDescription
- partnerAuthorizationstringDescription
- authorizedAtstringDescription
- authorizedByIdstringDescription
- authorizedByNamestringDescription
- partnerAuthorization2stringDescription
- authorizedAt2stringDescription
- authorizedById2stringDescription
- authorizedByName2stringDescription
- amountintegerDescription
- currencystringDescription
- purposestringDescription
- imadstringDescription
- omadstringDescription
- businessFunctionCodestringDescription
- typeCodestringDescription
- senderRoutingNumberstringDescription
- senderNamestringDescription
- senderReferencestringDescription
- receiverRoutingNumberstringDescription
- receiverNamestringDescription
- originatingFiobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- originatorobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- intermediaryFiobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- beneficiaryFiobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- beneficiaryobjectDescription
- idCodestringDescription
- identifierstringDescription
- namestringDescription
- postalAddressInfoobjectDescription
- adrLine1stringrequiredDescription
- adrLine2stringDescription
- countrystringrequiredDescription
- statestringDescription
- postalCodestringDescription
- citystringrequiredDescription
- address1stringDescription
- address2stringDescription
- address3stringDescription
- originatorToBeneficiary1stringDescription
- beneficiaryReferencestringDescription
- receiptDatestringDescription
- receiptTimestringDescription
- wasReversedbooleanDescription
- isInternationalbooleanDescription
- clientIdentifierstringDescription
- createdAtstringDescription
- releasedAtstringDescription
- processedAtstringDescription
- canceledAtstringDescription
- rejectedAtstringDescription
- blockedAtstringDescription
- effectiveDatestringDescription
- completedAtstringDescription
- postedAtstringDescription
- originalPaymentIdstringDescription
- partnerIdstringDescription
- productIdstringDescription
- lastModifiedAtstringDescription
- postingCodestringDescription
curl
curl --location 'https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"accountNumber": "",
"originator":
{
"idCode": "D",
"identifier": "",
"name": "PMR Corp",
"postalAddress": {
"adrLine1": "10431 Howe Drive",
"city": "Shawnee Mission",
"state": "KS",
"postalCode": "66206",
"country": "US"
}
},
"receiverRoutingNumber": "026009593",
"drawdownCreditAccountNumber": "021214891",
"beneficiaryFi":
{
"idCode": "D",
"identifier": "021214891",
"name": "Cross River Bank",
"postalAddress": {
"adrLine1": "400 KELBY STREET",
"city": "Fort Lee",
"state": "NJ",
"postalCode": "07024",
"country": "US"
}
},
"drawdownDebitAccount":
{
"idCode": "D",
"identifier": "777555333",
"name": "Lindberg Incorporated",
"postalAddress": {
"adrLine1": "5 Stop St",
"city": "New York",
"state": "NY",
"postalCode": "52555",
"country": "US"
}
},
"beneficiary":
{
"idCode": "D",
"identifier": "2714035231",
"name": "PMR Corp",
"postalAddress": {
"adrLine1": "10431 Howe Drive",
"city": "Shawnee Mission",
"state": "KS",
"postalCode": "66206",
"country": "US"
}
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string",
"debitDrawdownAdviceCode": "WRE",
"debitDrawdownInformation1": "string1",
"debitDrawdownInformation2": "string2",
"debitDrawdownInformation3": "string3",
"debitDrawdownInformation4": "string4",
"debitDrawdownInformation5": "string5",
"receiverFiInformation1": "Astring",
"receiverFiInformation2": "Bstring",
"receiverFiInformation3": "Cstring",
"receiverFiInformation4": "Dstring",
"receiverFiInformation5": "Estring",
"fiToFiInformation1": "Hstring",
"fiToFiInformation2": "Istring",
"fiToFiInformation3": "Jstring",
"fiToFiInformation4": "Kstring",
"fiToFiInformation5": "Lstring",
"fiToFiInformation6": "Mstring",
"amount": 50000000,
"purpose": "drawdown testing",
"clientIdentifier": "40708c24-7dee-49c3-b4d2-c48d876f1f5e"
}'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'POST',
'hostname': 'sandbox.crbcos.com',
'path': '/wires/v1/payments/corporate-drawdown-requests',
'headers': {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
var postData = JSON.stringify({
"accountNumber": "",
"originator": {
"idCode": "D",
"identifier": "",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"receiverRoutingNumber": "026009593",
"drawdownCreditAccountNumber": "021214891",
"beneficiaryFi": {
"idCode": "D",
"identifier": "021214891",
"name": "Cross River Bank",
"address1": "400 KELBY STREET",
"address2": "Fort Lee NJ 07024",
"address3": "US"
},
"drawdownDebitAccount": {
"idCode": "D",
"identifier": "777555333",
"name": "Lindberg Incorporated",
"address1": "5 Stop St",
"address2": "New York NY 52555",
"address3": "US"
},
"beneficiary": {
"idCode": "D",
"identifier": "2714035231",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string",
"debitDrawdownAdviceCode": "WRE",
"debitDrawdownInformation1": "string1",
"debitDrawdownInformation2": "string2",
"debitDrawdownInformation3": "string3",
"debitDrawdownInformation4": "string4",
"debitDrawdownInformation5": "string5",
"receiverFiInformation1": "Astring",
"receiverFiInformation2": "Bstring",
"receiverFiInformation3": "Cstring",
"receiverFiInformation4": "Dstring",
"receiverFiInformation5": "Estring",
"fiToFiInformation1": "Hstring",
"fiToFiInformation2": "Istring",
"fiToFiInformation3": "Jstring",
"fiToFiInformation4": "Kstring",
"fiToFiInformation5": "Lstring",
"fiToFiInformation6": "Mstring",
"amount": 50000000,
"purpose": "drawdown testing",
"clientIdentifier": "40708c24-7dee-49c3-b4d2-c48d876f1f5e"
});
req.write(postData);
req.end();python
import requests
import json
url = "https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests"
payload = json.dumps({
"accountNumber": "",
"originator": {
"idCode": "D",
"identifier": "",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"receiverRoutingNumber": "026009593",
"drawdownCreditAccountNumber": "021214891",
"beneficiaryFi": {
"idCode": "D",
"identifier": "021214891",
"name": "Cross River Bank",
"address1": "400 KELBY STREET",
"address2": "Fort Lee NJ 07024",
"address3": "US"
},
"drawdownDebitAccount": {
"idCode": "D",
"identifier": "777555333",
"name": "Lindberg Incorporated",
"address1": "5 Stop St",
"address2": "New York NY 52555",
"address3": "US"
},
"beneficiary": {
"idCode": "D",
"identifier": "2714035231",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string",
"debitDrawdownAdviceCode": "WRE",
"debitDrawdownInformation1": "string1",
"debitDrawdownInformation2": "string2",
"debitDrawdownInformation3": "string3",
"debitDrawdownInformation4": "string4",
"debitDrawdownInformation5": "string5",
"receiverFiInformation1": "Astring",
"receiverFiInformation2": "Bstring",
"receiverFiInformation3": "Cstring",
"receiverFiInformation4": "Dstring",
"receiverFiInformation5": "Estring",
"fiToFiInformation1": "Hstring",
"fiToFiInformation2": "Istring",
"fiToFiInformation3": "Jstring",
"fiToFiInformation4": "Kstring",
"fiToFiInformation5": "Lstring",
"fiToFiInformation6": "Mstring",
"amount": 50000000,
"purpose": "drawdown testing",
"clientIdentifier": "40708c24-7dee-49c3-b4d2-c48d876f1f5e"
})
headers = {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "json"
require "net/http"
url = URI("https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = JSON.dump({
"accountNumber": "",
"originator": {
"idCode": "D",
"identifier": "",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"receiverRoutingNumber": "026009593",
"drawdownCreditAccountNumber": "021214891",
"beneficiaryFi": {
"idCode": "D",
"identifier": "021214891",
"name": "Cross River Bank",
"address1": "400 KELBY STREET",
"address2": "Fort Lee NJ 07024",
"address3": "US"
},
"drawdownDebitAccount": {
"idCode": "D",
"identifier": "777555333",
"name": "Lindberg Incorporated",
"address1": "5 Stop St",
"address2": "New York NY 52555",
"address3": "US"
},
"beneficiary": {
"idCode": "D",
"identifier": "2714035231",
"name": "PMR Corp",
"address1": "10431 Howe Drive",
"address2": "Shawnee Mission KS 66206",
"address3": "US"
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string",
"debitDrawdownAdviceCode": "WRE",
"debitDrawdownInformation1": "string1",
"debitDrawdownInformation2": "string2",
"debitDrawdownInformation3": "string3",
"debitDrawdownInformation4": "string4",
"debitDrawdownInformation5": "string5",
"receiverFiInformation1": "Astring",
"receiverFiInformation2": "Bstring",
"receiverFiInformation3": "Cstring",
"receiverFiInformation4": "Dstring",
"receiverFiInformation5": "Estring",
"fiToFiInformation1": "Hstring",
"fiToFiInformation2": "Istring",
"fiToFiInformation3": "Jstring",
"fiToFiInformation4": "Kstring",
"fiToFiInformation5": "Lstring",
"fiToFiInformation6": "Mstring",
"amount": 50000000,
"purpose": "drawdown testing",
"clientIdentifier": "40708c24-7dee-49c3-b4d2-c48d876f1f5e"
})
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/wires/v1/payments/corporate-drawdown-requests"
method := "POST"
payload := strings.NewReader(`{
"accountNumber": "",
"originator":
{
"idCode": "D",
"identifier": "",
"name": "PMR Corp",
"postalAddress": {
"adrLine1": "10431 Howe Drive",
"city": "Shawnee Mission",
"state": "KS",
"postalCode": "66206",
"country": "US"
}
},
"receiverRoutingNumber": "026009593",
"drawdownCreditAccountNumber": "021214891",
"beneficiaryFi":
{
"idCode": "D",
"identifier": "021214891",
"name": "Cross River Bank",
"postalAddress": {
"adrLine1": "400 KELBY STREET",
"city": "Fort Lee",
"state": "NJ",
"postalCode": "07024",
"country": "US"
}
},
"drawdownDebitAccount":
{
"idCode": "D",
"identifier": "777555333",
"name": "Lindberg Incorporated",
"postalAddress": {
"adrLine1": "5 Stop St",
"city": "New York",
"state": "NY",
"postalCode": "52555",
"country": "US"
}
},
"beneficiary":
{
"idCode": "D",
"identifier": "2714035231",
"name": "PMR Corp",
"postalAddress": {
"adrLine1": "10431 Howe Drive",
"city": "Shawnee Mission",
"state": "KS",
"postalCode": "66206",
"country": "US"
}
},
"beneficiaryReference": "testref",
"originatorToBeneficiary1": "1string",
"originatorToBeneficiary2": "2string",
"originatorToBeneficiary3": "3string",
"originatorToBeneficiary4": "4string",
"debitDrawdownAdviceCode": "WRE",
"debitDrawdownInformation1": "string1",
"debitDrawdownInformation2": "string2",
"debitDrawdownInformation3": "string3",
"debitDrawdownInformation4": "string4",
"debitDrawdownInformation5": "string5",
"receiverFiInformation1": "Astring",
"receiverFiInformation2": "Bstring",
"receiverFiInformation3": "Cstring",
"receiverFiInformation4": "Dstring",
"receiverFiInformation5": "Estring",
"fiToFiInformation1": "Hstring",
"fiToFiInformation2": "Istring",
"fiToFiInformation3": "Jstring",
"fiToFiInformation4": "Kstring",
"fiToFiInformation5": "Lstring",
"fiToFiInformation6": "Mstring",
"amount": 50000000,
"purpose": "drawdown testing",
"clientIdentifier": "40708c24-7dee-49c3-b4d2-c48d876f1f5e"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"id": "00000000-0000-0000-0000-000000000000",
"accountNumber": "string",
"coreTransactionId": "00000000-0000-0000-0000-000000000000",
"referenceId": "string",
"clientBatchId": "00000000-0000-0000-0000-000000000000",
"clientBatchSequence": 0,
"fedBatchId": "00000000-0000-0000-0000-000000000000",
"fedBatchSequence": 0,
"direction": "Inbound",
"paymentType": "Transfer",
"source": "Phone",
"status": "Created",
"posting": "Pending",
"rejectionReason": "OfacCancelUnableToDetermine",
"blockedReason": "OfacMatch",
"partnerAuthorization": "NotRequired",
"authorizedAt": "2022-12-28T08:03:53.686Z",
"authorizedById": "string",
"authorizedByName": "string",
"partnerAuthorization2": "NotRequired",
"authorizedAt2": "2022-12-28T08:03:53.686Z",
"authorizedById2": "string",
"authorizedByName2": "string",
"amount": 0,
"currency": "string",
"purpose": "string",
"imad": "string",
"omad": "string",
"businessFunctionCode": "string",
"typeCode": "string",
"senderRoutingNumber": "string",
"senderName": "string",
"senderReference": "string",
"receiverRoutingNumber": "string",
"receiverName": "string",
"originatingFi": {
"idCode": "string",
"identifier": "string",
"name": "string",
"address1": "string",
"address2": "string",
"address3": "string"
},
"originator": {
"idCode": "string",
"identifier": "string",
"name": "string",
"address1": "string",
"address2": "string",
"address3": "string"
},
"intermediaryFi": {
"idCode": "string",
"identifier": "string",
"name": "string",
"address1": "string",
"address2": "string",
"address3": "string"
},
"beneficiaryFi": {
"idCode": "string",
"identifier": "string",
"name": "string",
"address1": "string",
"address2": "string",
"address3": "string"
},
"beneficiary": {
"idCode": "string",
"identifier": "string",
"name": "string",
"address1": "string",
"address2": "string",
"address3": "string"
},
"originatorToBeneficiary1": "string",
"originatorToBeneficiary2": "string",
"originatorToBeneficiary3": "string",
"originatorToBeneficiary4": "string",
"beneficiaryReference": "string",
"receiptDate": "string",
"receiptTime": "string",
"wasReversed": true,
"isInternational": true,
"clientIdentifier": "string",
"createdAt": "2022-12-28T08:03:53.686Z",
"releasedAt": "2022-12-28T08:03:53.686Z",
"processedAt": "2022-12-28T08:03:53.686Z",
"canceledAt": "2022-12-28T08:03:53.686Z",
"rejectedAt": "2022-12-28T08:03:53.686Z",
"blockedAt": "2022-12-28T08:03:53.686Z",
"effectiveDate": "2022-12-28T08:03:53.686Z",
"completedAt": "2022-12-28T08:03:53.686Z",
"postedAt": "2022-12-28T08:03:53.686Z",
"originalPaymentId": "00000000-0000-0000-0000-000000000000",
"partnerId": "00000000-0000-0000-0000-000000000000",
"productId": "00000000-0000-0000-0000-000000000000",
"lastModifiedAt": "2022-12-28T08:03:53.686Z",
"postingCode": "string"
}Validation Rules
- Beneficiary FI and Intermediary FI Not Allowed
- If either field is populated, the request will be rejected.
- Error Message: {EntityName} not available with ISO format.